import axios from "axios";

const {
  EXPO_PUBLIC_SAME_CLIENT_IP,
  EXPO_PUBLIC_SERVER_PATH,
  EXPO_PUBLIC_BASE_URL,
  EXPO_PUBLIC_CMS_URL,
} = process.env;

export const baseServerURL =
  EXPO_PUBLIC_SAME_CLIENT_IP === "true"
    ? `${window.location.origin}/${EXPO_PUBLIC_SERVER_PATH}`
    : `${EXPO_PUBLIC_BASE_URL}`;

export const serverCMsURL = `${baseServerURL}${EXPO_PUBLIC_CMS_URL}`;

const instance = axios.create({ baseURL: serverCMsURL });

instance.interceptors.request.use((request) => {
  return request;
});

instance.interceptors.response.use(
  (response) => {
    return response;
  },
  (error) => {
    return Promise.reject(error);
  },
);

instance.defaults.headers.common["Content-Type"] = "application/json";
instance.defaults.headers.common.Accept = "application/json";
instance.defaults.headers.common["Accept-Language"] = "en";
instance.defaults.withCredentials = true;

export default instance;
